Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network192.0.0.0/3
Usable hosts536,870,910
Subnet mask224.0.0.0
Addresses536,870,912
Network address
192.0.0.0
Broadcast address
223.255.255.255
First usable
192.0.0.1
Last usable
223.255.255.254
Usable hosts
536,870,910 (536,870,912 less the network and broadcast addresses)
Subnet mask
224.0.0.0
Wildcard mask
31.255.255.255 (Cisco ACLs, OSPF)
Prefix length
/3
Type
Public public
Old class
C (default /24)
As numbers
Hex C0000000 · Integer 3221225472 to 3758096383
Reverse DNS zones
192.in-addr.arpa
193.in-addr.arpa
194.in-addr.arpa
195.in-addr.arpa
196.in-addr.arpa
197.in-addr.arpa
198.in-addr.arpa
199.in-addr.arpa
200.in-addr.arpa
201.in-addr.arpa
202.in-addr.arpa
203.in-addr.arpa
204.in-addr.arpa
205.in-addr.arpa
206.in-addr.arpa
207.in-addr.arpa
and 16 more
/3 is not on a 8-bit boundary, so it takes 32 /8 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11000000.00000000.00000000.00000000192.0.0.0
Subnet mask11100000.00000000.00000000.00000000224.0.0.0
Network11000000.00000000.00000000.00000000192.0.0.0
Broadcast11011111.11111111.11111111.11111111223.255.255.255
Split into smaller subnets/14

192.0.0.0/3 makes 2,048 subnets of /14; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1192.0.0.0/14192.0.0.1 to 192.3.255.254192.3.255.255262,142
2192.4.0.0/14192.4.0.1 to 192.7.255.254192.7.255.255262,142
3192.8.0.0/14192.8.0.1 to 192.11.255.254192.11.255.255262,142
4192.12.0.0/14192.12.0.1 to 192.15.255.254192.15.255.255262,142
5192.16.0.0/14192.16.0.1 to 192.19.255.254192.19.255.255262,142
6192.20.0.0/14192.20.0.1 to 192.23.255.254192.23.255.255262,142
7192.24.0.0/14192.24.0.1 to 192.27.255.254192.27.255.255262,142
8192.28.0.0/14192.28.0.1 to 192.31.255.254192.31.255.255262,142
9192.32.0.0/14192.32.0.1 to 192.35.255.254192.35.255.255262,142
10192.36.0.0/14192.36.0.1 to 192.39.255.254192.39.255.255262,142
11192.40.0.0/14192.40.0.1 to 192.43.255.254192.43.255.255262,142
12192.44.0.0/14192.44.0.1 to 192.47.255.254192.47.255.255262,142
13192.48.0.0/14192.48.0.1 to 192.51.255.254192.51.255.255262,142
14192.52.0.0/14192.52.0.1 to 192.55.255.254192.55.255.255262,142
15192.56.0.0/14192.56.0.1 to 192.59.255.254192.59.255.255262,142
16192.60.0.0/14192.60.0.1 to 192.63.255.254192.63.255.255262,142
17192.64.0.0/14192.64.0.1 to 192.67.255.254192.67.255.255262,142
18192.68.0.0/14192.68.0.1 to 192.71.255.254192.71.255.255262,142
19192.72.0.0/14192.72.0.1 to 192.75.255.254192.75.255.255262,142
20192.76.0.0/14192.76.0.1 to 192.79.255.254192.79.255.255262,142
21192.80.0.0/14192.80.0.1 to 192.83.255.254192.83.255.255262,142
22192.84.0.0/14192.84.0.1 to 192.87.255.254192.87.255.255262,142
23192.88.0.0/14192.88.0.1 to 192.91.255.254192.91.255.255262,142
24192.92.0.0/14192.92.0.1 to 192.95.255.254192.95.255.255262,142
25192.96.0.0/14192.96.0.1 to 192.99.255.254192.99.255.255262,142
26192.100.0.0/14192.100.0.1 to 192.103.255.254192.103.255.255262,142
27192.104.0.0/14192.104.0.1 to 192.107.255.254192.107.255.255262,142
28192.108.0.0/14192.108.0.1 to 192.111.255.254192.111.255.255262,142
29192.112.0.0/14192.112.0.1 to 192.115.255.254192.115.255.255262,142
30192.116.0.0/14192.116.0.1 to 192.119.255.254192.119.255.255262,142
31192.120.0.0/14192.120.0.1 to 192.123.255.254192.123.255.255262,142
32192.124.0.0/14192.124.0.1 to 192.127.255.254192.127.255.255262,142
33192.128.0.0/14192.128.0.1 to 192.131.255.254192.131.255.255262,142
34192.132.0.0/14192.132.0.1 to 192.135.255.254192.135.255.255262,142
35192.136.0.0/14192.136.0.1 to 192.139.255.254192.139.255.255262,142
36192.140.0.0/14192.140.0.1 to 192.143.255.254192.143.255.255262,142
37192.144.0.0/14192.144.0.1 to 192.147.255.254192.147.255.255262,142
38192.148.0.0/14192.148.0.1 to 192.151.255.254192.151.255.255262,142
39192.152.0.0/14192.152.0.1 to 192.155.255.254192.155.255.255262,142
40192.156.0.0/14192.156.0.1 to 192.159.255.254192.159.255.255262,142
41192.160.0.0/14192.160.0.1 to 192.163.255.254192.163.255.255262,142
42192.164.0.0/14192.164.0.1 to 192.167.255.254192.167.255.255262,142
43192.168.0.0/14192.168.0.1 to 192.171.255.254192.171.255.255262,142
44192.172.0.0/14192.172.0.1 to 192.175.255.254192.175.255.255262,142
45192.176.0.0/14192.176.0.1 to 192.179.255.254192.179.255.255262,142
46192.180.0.0/14192.180.0.1 to 192.183.255.254192.183.255.255262,142
47192.184.0.0/14192.184.0.1 to 192.187.255.254192.187.255.255262,142
48192.188.0.0/14192.188.0.1 to 192.191.255.254192.191.255.255262,142
49192.192.0.0/14192.192.0.1 to 192.195.255.254192.195.255.255262,142
50192.196.0.0/14192.196.0.1 to 192.199.255.254192.199.255.255262,142
51192.200.0.0/14192.200.0.1 to 192.203.255.254192.203.255.255262,142
52192.204.0.0/14192.204.0.1 to 192.207.255.254192.207.255.255262,142
53192.208.0.0/14192.208.0.1 to 192.211.255.254192.211.255.255262,142
54192.212.0.0/14192.212.0.1 to 192.215.255.254192.215.255.255262,142
55192.216.0.0/14192.216.0.1 to 192.219.255.254192.219.255.255262,142
56192.220.0.0/14192.220.0.1 to 192.223.255.254192.223.255.255262,142
57192.224.0.0/14192.224.0.1 to 192.227.255.254192.227.255.255262,142
58192.228.0.0/14192.228.0.1 to 192.231.255.254192.231.255.255262,142
59192.232.0.0/14192.232.0.1 to 192.235.255.254192.235.255.255262,142
60192.236.0.0/14192.236.0.1 to 192.239.255.254192.239.255.255262,142
61192.240.0.0/14192.240.0.1 to 192.243.255.254192.243.255.255262,142
62192.244.0.0/14192.244.0.1 to 192.247.255.254192.247.255.255262,142
63192.248.0.0/14192.248.0.1 to 192.251.255.254192.251.255.255262,142
64192.252.0.0/14192.252.0.1 to 192.255.255.254192.255.255.255262,142
65193.0.0.0/14193.0.0.1 to 193.3.255.254193.3.255.255262,142
66193.4.0.0/14193.4.0.1 to 193.7.255.254193.7.255.255262,142
67193.8.0.0/14193.8.0.1 to 193.11.255.254193.11.255.255262,142
68193.12.0.0/14193.12.0.1 to 193.15.255.254193.15.255.255262,142
69193.16.0.0/14193.16.0.1 to 193.19.255.254193.19.255.255262,142
70193.20.0.0/14193.20.0.1 to 193.23.255.254193.23.255.255262,142
71193.24.0.0/14193.24.0.1 to 193.27.255.254193.27.255.255262,142
72193.28.0.0/14193.28.0.1 to 193.31.255.254193.31.255.255262,142
73193.32.0.0/14193.32.0.1 to 193.35.255.254193.35.255.255262,142
74193.36.0.0/14193.36.0.1 to 193.39.255.254193.39.255.255262,142
75193.40.0.0/14193.40.0.1 to 193.43.255.254193.43.255.255262,142
76193.44.0.0/14193.44.0.1 to 193.47.255.254193.47.255.255262,142
77193.48.0.0/14193.48.0.1 to 193.51.255.254193.51.255.255262,142
78193.52.0.0/14193.52.0.1 to 193.55.255.254193.55.255.255262,142
79193.56.0.0/14193.56.0.1 to 193.59.255.254193.59.255.255262,142
80193.60.0.0/14193.60.0.1 to 193.63.255.254193.63.255.255262,142
81193.64.0.0/14193.64.0.1 to 193.67.255.254193.67.255.255262,142
82193.68.0.0/14193.68.0.1 to 193.71.255.254193.71.255.255262,142
83193.72.0.0/14193.72.0.1 to 193.75.255.254193.75.255.255262,142
84193.76.0.0/14193.76.0.1 to 193.79.255.254193.79.255.255262,142
85193.80.0.0/14193.80.0.1 to 193.83.255.254193.83.255.255262,142
86193.84.0.0/14193.84.0.1 to 193.87.255.254193.87.255.255262,142
87193.88.0.0/14193.88.0.1 to 193.91.255.254193.91.255.255262,142
88193.92.0.0/14193.92.0.1 to 193.95.255.254193.95.255.255262,142
89193.96.0.0/14193.96.0.1 to 193.99.255.254193.99.255.255262,142
90193.100.0.0/14193.100.0.1 to 193.103.255.254193.103.255.255262,142
91193.104.0.0/14193.104.0.1 to 193.107.255.254193.107.255.255262,142
92193.108.0.0/14193.108.0.1 to 193.111.255.254193.111.255.255262,142
93193.112.0.0/14193.112.0.1 to 193.115.255.254193.115.255.255262,142
94193.116.0.0/14193.116.0.1 to 193.119.255.254193.119.255.255262,142
95193.120.0.0/14193.120.0.1 to 193.123.255.254193.123.255.255262,142
96193.124.0.0/14193.124.0.1 to 193.127.255.254193.127.255.255262,142
97193.128.0.0/14193.128.0.1 to 193.131.255.254193.131.255.255262,142
98193.132.0.0/14193.132.0.1 to 193.135.255.254193.135.255.255262,142
99193.136.0.0/14193.136.0.1 to 193.139.255.254193.139.255.255262,142
100193.140.0.0/14193.140.0.1 to 193.143.255.254193.143.255.255262,142
101193.144.0.0/14193.144.0.1 to 193.147.255.254193.147.255.255262,142
102193.148.0.0/14193.148.0.1 to 193.151.255.254193.151.255.255262,142
103193.152.0.0/14193.152.0.1 to 193.155.255.254193.155.255.255262,142
104193.156.0.0/14193.156.0.1 to 193.159.255.254193.159.255.255262,142
105193.160.0.0/14193.160.0.1 to 193.163.255.254193.163.255.255262,142
106193.164.0.0/14193.164.0.1 to 193.167.255.254193.167.255.255262,142
107193.168.0.0/14193.168.0.1 to 193.171.255.254193.171.255.255262,142
108193.172.0.0/14193.172.0.1 to 193.175.255.254193.175.255.255262,142
109193.176.0.0/14193.176.0.1 to 193.179.255.254193.179.255.255262,142
110193.180.0.0/14193.180.0.1 to 193.183.255.254193.183.255.255262,142
111193.184.0.0/14193.184.0.1 to 193.187.255.254193.187.255.255262,142
112193.188.0.0/14193.188.0.1 to 193.191.255.254193.191.255.255262,142
113193.192.0.0/14193.192.0.1 to 193.195.255.254193.195.255.255262,142
114193.196.0.0/14193.196.0.1 to 193.199.255.254193.199.255.255262,142
115193.200.0.0/14193.200.0.1 to 193.203.255.254193.203.255.255262,142
116193.204.0.0/14193.204.0.1 to 193.207.255.254193.207.255.255262,142
117193.208.0.0/14193.208.0.1 to 193.211.255.254193.211.255.255262,142
118193.212.0.0/14193.212.0.1 to 193.215.255.254193.215.255.255262,142
119193.216.0.0/14193.216.0.1 to 193.219.255.254193.219.255.255262,142
120193.220.0.0/14193.220.0.1 to 193.223.255.254193.223.255.255262,142
121193.224.0.0/14193.224.0.1 to 193.227.255.254193.227.255.255262,142
122193.228.0.0/14193.228.0.1 to 193.231.255.254193.231.255.255262,142
123193.232.0.0/14193.232.0.1 to 193.235.255.254193.235.255.255262,142
124193.236.0.0/14193.236.0.1 to 193.239.255.254193.239.255.255262,142
125193.240.0.0/14193.240.0.1 to 193.243.255.254193.243.255.255262,142
126193.244.0.0/14193.244.0.1 to 193.247.255.254193.247.255.255262,142
127193.248.0.0/14193.248.0.1 to 193.251.255.254193.251.255.255262,142
128193.252.0.0/14193.252.0.1 to 193.255.255.254193.255.255.255262,142
129194.0.0.0/14194.0.0.1 to 194.3.255.254194.3.255.255262,142
130194.4.0.0/14194.4.0.1 to 194.7.255.254194.7.255.255262,142
131194.8.0.0/14194.8.0.1 to 194.11.255.254194.11.255.255262,142
132194.12.0.0/14194.12.0.1 to 194.15.255.254194.15.255.255262,142
133194.16.0.0/14194.16.0.1 to 194.19.255.254194.19.255.255262,142
134194.20.0.0/14194.20.0.1 to 194.23.255.254194.23.255.255262,142
135194.24.0.0/14194.24.0.1 to 194.27.255.254194.27.255.255262,142
136194.28.0.0/14194.28.0.1 to 194.31.255.254194.31.255.255262,142
137194.32.0.0/14194.32.0.1 to 194.35.255.254194.35.255.255262,142
138194.36.0.0/14194.36.0.1 to 194.39.255.254194.39.255.255262,142
139194.40.0.0/14194.40.0.1 to 194.43.255.254194.43.255.255262,142
140194.44.0.0/14194.44.0.1 to 194.47.255.254194.47.255.255262,142
141194.48.0.0/14194.48.0.1 to 194.51.255.254194.51.255.255262,142
142194.52.0.0/14194.52.0.1 to 194.55.255.254194.55.255.255262,142
143194.56.0.0/14194.56.0.1 to 194.59.255.254194.59.255.255262,142
144194.60.0.0/14194.60.0.1 to 194.63.255.254194.63.255.255262,142
145194.64.0.0/14194.64.0.1 to 194.67.255.254194.67.255.255262,142
146194.68.0.0/14194.68.0.1 to 194.71.255.254194.71.255.255262,142
147194.72.0.0/14194.72.0.1 to 194.75.255.254194.75.255.255262,142
148194.76.0.0/14194.76.0.1 to 194.79.255.254194.79.255.255262,142
149194.80.0.0/14194.80.0.1 to 194.83.255.254194.83.255.255262,142
150194.84.0.0/14194.84.0.1 to 194.87.255.254194.87.255.255262,142
151194.88.0.0/14194.88.0.1 to 194.91.255.254194.91.255.255262,142
152194.92.0.0/14194.92.0.1 to 194.95.255.254194.95.255.255262,142
153194.96.0.0/14194.96.0.1 to 194.99.255.254194.99.255.255262,142
154194.100.0.0/14194.100.0.1 to 194.103.255.254194.103.255.255262,142
155194.104.0.0/14194.104.0.1 to 194.107.255.254194.107.255.255262,142
156194.108.0.0/14194.108.0.1 to 194.111.255.254194.111.255.255262,142
157194.112.0.0/14194.112.0.1 to 194.115.255.254194.115.255.255262,142
158194.116.0.0/14194.116.0.1 to 194.119.255.254194.119.255.255262,142
159194.120.0.0/14194.120.0.1 to 194.123.255.254194.123.255.255262,142
160194.124.0.0/14194.124.0.1 to 194.127.255.254194.127.255.255262,142
161194.128.0.0/14194.128.0.1 to 194.131.255.254194.131.255.255262,142
162194.132.0.0/14194.132.0.1 to 194.135.255.254194.135.255.255262,142
163194.136.0.0/14194.136.0.1 to 194.139.255.254194.139.255.255262,142
164194.140.0.0/14194.140.0.1 to 194.143.255.254194.143.255.255262,142
165194.144.0.0/14194.144.0.1 to 194.147.255.254194.147.255.255262,142
166194.148.0.0/14194.148.0.1 to 194.151.255.254194.151.255.255262,142
167194.152.0.0/14194.152.0.1 to 194.155.255.254194.155.255.255262,142
168194.156.0.0/14194.156.0.1 to 194.159.255.254194.159.255.255262,142
169194.160.0.0/14194.160.0.1 to 194.163.255.254194.163.255.255262,142
170194.164.0.0/14194.164.0.1 to 194.167.255.254194.167.255.255262,142
171194.168.0.0/14194.168.0.1 to 194.171.255.254194.171.255.255262,142
172194.172.0.0/14194.172.0.1 to 194.175.255.254194.175.255.255262,142
173194.176.0.0/14194.176.0.1 to 194.179.255.254194.179.255.255262,142
174194.180.0.0/14194.180.0.1 to 194.183.255.254194.183.255.255262,142
175194.184.0.0/14194.184.0.1 to 194.187.255.254194.187.255.255262,142
176194.188.0.0/14194.188.0.1 to 194.191.255.254194.191.255.255262,142
177194.192.0.0/14194.192.0.1 to 194.195.255.254194.195.255.255262,142
178194.196.0.0/14194.196.0.1 to 194.199.255.254194.199.255.255262,142
179194.200.0.0/14194.200.0.1 to 194.203.255.254194.203.255.255262,142
180194.204.0.0/14194.204.0.1 to 194.207.255.254194.207.255.255262,142
181194.208.0.0/14194.208.0.1 to 194.211.255.254194.211.255.255262,142
182194.212.0.0/14194.212.0.1 to 194.215.255.254194.215.255.255262,142
183194.216.0.0/14194.216.0.1 to 194.219.255.254194.219.255.255262,142
184194.220.0.0/14194.220.0.1 to 194.223.255.254194.223.255.255262,142
185194.224.0.0/14194.224.0.1 to 194.227.255.254194.227.255.255262,142
186194.228.0.0/14194.228.0.1 to 194.231.255.254194.231.255.255262,142
187194.232.0.0/14194.232.0.1 to 194.235.255.254194.235.255.255262,142
188194.236.0.0/14194.236.0.1 to 194.239.255.254194.239.255.255262,142
189194.240.0.0/14194.240.0.1 to 194.243.255.254194.243.255.255262,142
190194.244.0.0/14194.244.0.1 to 194.247.255.254194.247.255.255262,142
191194.248.0.0/14194.248.0.1 to 194.251.255.254194.251.255.255262,142
192194.252.0.0/14194.252.0.1 to 194.255.255.254194.255.255.255262,142
193195.0.0.0/14195.0.0.1 to 195.3.255.254195.3.255.255262,142
194195.4.0.0/14195.4.0.1 to 195.7.255.254195.7.255.255262,142
195195.8.0.0/14195.8.0.1 to 195.11.255.254195.11.255.255262,142
196195.12.0.0/14195.12.0.1 to 195.15.255.254195.15.255.255262,142
197195.16.0.0/14195.16.0.1 to 195.19.255.254195.19.255.255262,142
198195.20.0.0/14195.20.0.1 to 195.23.255.254195.23.255.255262,142
199195.24.0.0/14195.24.0.1 to 195.27.255.254195.27.255.255262,142
200195.28.0.0/14195.28.0.1 to 195.31.255.254195.31.255.255262,142
201195.32.0.0/14195.32.0.1 to 195.35.255.254195.35.255.255262,142
202195.36.0.0/14195.36.0.1 to 195.39.255.254195.39.255.255262,142
203195.40.0.0/14195.40.0.1 to 195.43.255.254195.43.255.255262,142
204195.44.0.0/14195.44.0.1 to 195.47.255.254195.47.255.255262,142
205195.48.0.0/14195.48.0.1 to 195.51.255.254195.51.255.255262,142
206195.52.0.0/14195.52.0.1 to 195.55.255.254195.55.255.255262,142
207195.56.0.0/14195.56.0.1 to 195.59.255.254195.59.255.255262,142
208195.60.0.0/14195.60.0.1 to 195.63.255.254195.63.255.255262,142
209195.64.0.0/14195.64.0.1 to 195.67.255.254195.67.255.255262,142
210195.68.0.0/14195.68.0.1 to 195.71.255.254195.71.255.255262,142
211195.72.0.0/14195.72.0.1 to 195.75.255.254195.75.255.255262,142
212195.76.0.0/14195.76.0.1 to 195.79.255.254195.79.255.255262,142
213195.80.0.0/14195.80.0.1 to 195.83.255.254195.83.255.255262,142
214195.84.0.0/14195.84.0.1 to 195.87.255.254195.87.255.255262,142
215195.88.0.0/14195.88.0.1 to 195.91.255.254195.91.255.255262,142
216195.92.0.0/14195.92.0.1 to 195.95.255.254195.95.255.255262,142
217195.96.0.0/14195.96.0.1 to 195.99.255.254195.99.255.255262,142
218195.100.0.0/14195.100.0.1 to 195.103.255.254195.103.255.255262,142
219195.104.0.0/14195.104.0.1 to 195.107.255.254195.107.255.255262,142
220195.108.0.0/14195.108.0.1 to 195.111.255.254195.111.255.255262,142
221195.112.0.0/14195.112.0.1 to 195.115.255.254195.115.255.255262,142
222195.116.0.0/14195.116.0.1 to 195.119.255.254195.119.255.255262,142
223195.120.0.0/14195.120.0.1 to 195.123.255.254195.123.255.255262,142
224195.124.0.0/14195.124.0.1 to 195.127.255.254195.127.255.255262,142
225195.128.0.0/14195.128.0.1 to 195.131.255.254195.131.255.255262,142
226195.132.0.0/14195.132.0.1 to 195.135.255.254195.135.255.255262,142
227195.136.0.0/14195.136.0.1 to 195.139.255.254195.139.255.255262,142
228195.140.0.0/14195.140.0.1 to 195.143.255.254195.143.255.255262,142
229195.144.0.0/14195.144.0.1 to 195.147.255.254195.147.255.255262,142
230195.148.0.0/14195.148.0.1 to 195.151.255.254195.151.255.255262,142
231195.152.0.0/14195.152.0.1 to 195.155.255.254195.155.255.255262,142
232195.156.0.0/14195.156.0.1 to 195.159.255.254195.159.255.255262,142
233195.160.0.0/14195.160.0.1 to 195.163.255.254195.163.255.255262,142
234195.164.0.0/14195.164.0.1 to 195.167.255.254195.167.255.255262,142
235195.168.0.0/14195.168.0.1 to 195.171.255.254195.171.255.255262,142
236195.172.0.0/14195.172.0.1 to 195.175.255.254195.175.255.255262,142
237195.176.0.0/14195.176.0.1 to 195.179.255.254195.179.255.255262,142
238195.180.0.0/14195.180.0.1 to 195.183.255.254195.183.255.255262,142
239195.184.0.0/14195.184.0.1 to 195.187.255.254195.187.255.255262,142
240195.188.0.0/14195.188.0.1 to 195.191.255.254195.191.255.255262,142
241195.192.0.0/14195.192.0.1 to 195.195.255.254195.195.255.255262,142
242195.196.0.0/14195.196.0.1 to 195.199.255.254195.199.255.255262,142
243195.200.0.0/14195.200.0.1 to 195.203.255.254195.203.255.255262,142
244195.204.0.0/14195.204.0.1 to 195.207.255.254195.207.255.255262,142
245195.208.0.0/14195.208.0.1 to 195.211.255.254195.211.255.255262,142
246195.212.0.0/14195.212.0.1 to 195.215.255.254195.215.255.255262,142
247195.216.0.0/14195.216.0.1 to 195.219.255.254195.219.255.255262,142
248195.220.0.0/14195.220.0.1 to 195.223.255.254195.223.255.255262,142
249195.224.0.0/14195.224.0.1 to 195.227.255.254195.227.255.255262,142
250195.228.0.0/14195.228.0.1 to 195.231.255.254195.231.255.255262,142
251195.232.0.0/14195.232.0.1 to 195.235.255.254195.235.255.255262,142
252195.236.0.0/14195.236.0.1 to 195.239.255.254195.239.255.255262,142
253195.240.0.0/14195.240.0.1 to 195.243.255.254195.243.255.255262,142
254195.244.0.0/14195.244.0.1 to 195.247.255.254195.247.255.255262,142
255195.248.0.0/14195.248.0.1 to 195.251.255.254195.251.255.255262,142
256195.252.0.0/14195.252.0.1 to 195.255.255.254195.255.255.255262,142

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses